Subject: Re: Bug#1086520: linux-image-6.11.2-amd64: makes opensm fail to start

From: Leon Romanovsky <[email-masked]>
Date: Tue, 26 Nov 2024 12:09:56 +0200

On Tue, Nov 26, 2024 at 10:38:59AM +0200, Leon Romanovsky wrote:
> On Tue, Nov 26, 2024 at 08:18:24AM +0100, Francesco Poli wrote:
> > On Tue, 26 Nov 2024 09:21:37 +0800 Mark Zhang wrote:
> > 
> > [...]
> > > Yes looks like FW reports vport.num_plane > 0. What is your hw type and 
> > > FW version ("ethtool -i <netdev_of_the_ibdev>")? I don't think it 
> > > supports multiplane.
> > 
> >   $ /sbin/ethtool -i ibp129s0f0
> >   driver: mlx5_core[ib_ipoib]
> >   version: 6.10.11-amd64
> >   firmware-version: 20.40.1000 (MT_0000000224)
> >   expansion-rom-version: 
> >   bus-info: 0000:81:00.0
> >   supports-statistics: yes
> >   supports-test: yes
> >   supports-eeprom-access: no
> >   supports-register-dump: no
> >   supports-priv-flags: yes
> > 
> > Please note that I determined <netdev_of_the_ibdev> by looking at
> > the output of 'ibv_devices': I hope this is a correct way to answer
> > your question.
> 
> We forwarded this information to FW team and will update you on the
> findings.

Francesco, 

Please update NICs FW to the latest version. In your FW version there
is a bug which causes to return vport.num_plane == 1 even if NIC doesn't
support multiplane mode.

We will continue to work internally to find a solution, which won't require
FW upgrade.

Thanks

> 
> Thanks
> 
> > 
> > 
> > 
> > 
> > -- 
> >  http://www.inventati.org/frx/
> >  There's not a second to spare! To the laboratory!
> > ..................................................... Francesco Poli .
> >  GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
> 
> 
>